Control.Exception.Lens

# Handling

catching

catching_

handling

handling_

# Trying

trying

trying_

# Throwing

throwing

throwing_

throwingM

throwingTo

# Mapping

mappedException

mappedException'

# Exceptions

exception

# Exception Handlers

class Handleable e m h

## IOExceptions

class AsIOException t

## Arithmetic Exceptions

class AsArithException t

_Overflow

_Underflow

_LossOfPrecision

_DivideByZero

_Denormal

_RatioZeroDenominator

## Array Exceptions

class AsArrayException t

_IndexOutOfBounds

_UndefinedElement

## Assertion Failed

class AsAssertionFailed t

## Async Exceptions

class AsAsyncException t

_StackOverflow

_HeapOverflow

_ThreadKilled

_UserInterrupt

## Non-Termination

class AsNonTermination t

## Nested Atomically

class AsNestedAtomically t

## Blocked Indefinitely

### on MVar

class AsBlockedIndefinitelyOnMVar t

### on STM

class AsBlockedIndefinitelyOnSTM t

## Deadlock

class AsDeadlock t

## No Such Method

class AsNoMethodError t

## Pattern Match Failure

class AsPatternMatchFail t

## Record

class AsRecConError t

class AsRecSelError t

class AsRecUpdError t

## Error Call

class AsErrorCall t

## Allocation Limit Exceeded

class AsAllocationLimitExceeded t

## Type Error

class AsTypeError t

# Handling Exceptions

class AsHandlingException t